/*************** schema format from the backend *************** */
/** Schema type, consist of nodes and edges */
export type SchemaFromBackend = {
  edges: SchemaEdge[];
  nodes: SchemaNode[];
};

export type SchemaAttributeTypes = 'string' | 'float' | 'int' | 'bool' | 'date' | 'time' | 'datetime' | 'duration';

/** Attribute type, consist of a name */
export type SchemaAttribute = {
  name: string;
  type: SchemaAttributeTypes;
};

/** Node type, consist of a name and a list of attributes */
export type SchemaNode = {
  name: string;
  attributes: SchemaAttribute[];
};

/** Edge type, consist of a name, start point, end point and a list of attributes */
export type SchemaEdge = {
  name: string;
  to: string;
  from: string;
  collection: string;
  attributes: SchemaAttribute[];
};
